Bug 1014627 - The "firewall-policy-insert-rule" returns json output instead of Field-Value table [NEEDINFO]
Summary: The "firewall-policy-insert-rule" returns json output instead of Field-Value ...
Status: CLOSED UPSTREAM
Alias: None
Product: RDO
Classification: Community
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ofer Blaut
URL:
Whiteboard: network
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-02 12:37 UTC by Rami Vaknin
Modified: 2016-04-26 14:56 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-12 07:12:11 UTC
lars: needinfo? (rvaknin)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1279212 None None None Never

Description Rami Vaknin 2013-10-02 12:37:32 UTC
Version
=======
RDO havana on RHEL6.4
openstack-neutron-2013.2-0.4.b3.el6


Description
===========

The "firewall-policy-insert-rule" returns json output which is the output of "firewall-policy-show" of the same policy instead of ascii Field-Value table like all show commands return.

[root@puma10 ~(keystone_admin)]# neutron firewall-policy-insert-rule f1224bee-740e-4aab-bdbe-829d76aeb647 f71439f6-9934-46b1-90b7-55fdfff5d7fd
{"name": "tcp_90_policy", "firewall_rules": ["f71439f6-9934-46b1-90b7-55fdfff5d7fd", "4e57336a-4f91-46b8-af00-b5312fa7e175", "2f381389-3137-48f0-a7ff-86744a63c0cb"], "tenant_id": "699ae084c9df430d83dbb9a547bab2e3", "firewall_list": ["8a251de8-4962-4d1a-b6cd-a384f4cbb15c"], "audited": false, "shared": true, "id": "f1224bee-740e-4aab-bdbe-829d76aeb647", "description": ""}

[root@puma10 ~(keystone_admin)]# neutron firewall-policy-show f1224bee-740e-4aab-bdbe-829d76aeb647
+----------------+--------------------------------------+
| Field          | Value                                |
+----------------+--------------------------------------+
| audited        | False                                |
| description    |                                      |
| firewall_rules | f71439f6-9934-46b1-90b7-55fdfff5d7fd |
|                | 4e57336a-4f91-46b8-af00-b5312fa7e175 |
|                | 2f381389-3137-48f0-a7ff-86744a63c0cb |
| id             | f1224bee-740e-4aab-bdbe-829d76aeb647 |
| name           | tcp_90_policy                        |
| shared         | True                                 |
| tenant_id      | 699ae084c9df430d83dbb9a547bab2e3     |
+----------------+--------------------------------------+

Comment 1 Rami Vaknin 2013-10-03 14:27:23 UTC
Note that the same happens also with "neutron firewall-policy-remove-rule":

[root@puma10 ~(keystone_admin)]# neutron firewall-policy-remove-rule 3d723253-d7f6-4481-8f06-254007fd5f79 625f7937-2f52-470a-bae5-28181d6610b3
{"name": "policy_admin", "firewall_rules": ["edf70317-fdba-4bdb-85d8-c254ea46f619"], "tenant_id": "3384a1b666ac473b98dabcc385161a20", "firewall_list": ["72c782b2-2838-4773-b736-aa79564ac2ef"], "audited": false, "shared": true, "id": "3d723253-d7f6-4481-8f06-254007fd5f79", "description": ""}

Comment 3 Lars Kellogg-Stedman 2014-01-15 15:58:32 UTC
Hi, please report this issue upstream, and link the respective Launchpad bug as external tracker, and close this bug as UPSTREAM.

Comment 4 Ofer Blaut 2014-02-11 05:16:29 UTC
The bug should be opened upstream, no relate to the fact account has been closed


Note You need to log in before you can comment on or make changes to this bug.